Summary:	A Usenet newsreader for GNOME/GTK+
Name:		pan
Epoch:		1
Version:	0.162
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/News
URL:		https://pan.rebelbase.com/
Source0:	https://gitlab.gnome.org/GNOME/pan/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Patch02:	rm-windows-mac-entries.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(glib-2.0) >= 2.17.6
BuildRequires:	pkgconfig(zlib)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	yelp-tools
# In the past, we could not link GPLv2-only Pan with GnuTLS due to libgnutls being effectively LGPLv3+
# However, the GnuTLS libs are now clearly LGPLv2+, which is compatible.
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gmime-3.0)

%description
Pan is a Usenet newsreader which attempts to be pleasant to
new and advanced users alike. It has all the standard
newsreaders features and also supports offline reading,
scoring and killfiles, yEnc, NZB, PGP handling, multiple
servers, and secure connections. It is also the only Unix
newsreader to get a perfect score on the Good Net-Keeping
Seal of Approval evaluations.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
# Build with static libs: https://gitlab.gnome.org/GNOME/pan/-/issues/190
%cmake -DBUILD_SHARED_LIBS=OFF \
       -DBUILD_STATIC_LIBS=ON \
       -DENABLE_MANUAL=1 \
       -DWANT_DBUS=1     \
       -DWANT_GKR=1      \
       -DWANT_NOTIFY=1   \
       -DWANT_GMIME_CRYPTO=1
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-gnome

# Icon
pushd pan/icons
install -D -m644 icon_status_idle.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 icon_pan.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m644 icon_pan_about_logo.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
popd

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.pan.service
%{_metainfodir}/org.gnome.pan.metainfo.xml
%{_datadir}/applications/org.gnome.pan.desktop
%{_iconsdir}/hicolor/*/apps/org.gnome.%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1:0.162-2.mga10
+ Revision: 2235963
- Mageia 10 Mass Rebuild

* Sun Feb 16 2025 daviddavid <daviddavid> 1:0.162-1.mga10
+ Revision: 2149031
- new version: 0.162

* Thu Dec 05 2024 daviddavid <daviddavid> 1:0.161-3.mga10
+ Revision: 2121635
- do not build as shared libs (pan shared modules are not installed)

* Wed Dec 04 2024 joequant <joequant> 1:0.161-2.mga10
+ Revision: 2120902
- add pan

* Sun Dec 01 2024 daviddavid <daviddavid> 1:0.161-1.mga10
+ Revision: 2120526
- new version: 0.161
- switch to cmake build system

* Tue Apr 05 2022 umeabot <umeabot> 1:0.149-2.mga9
+ Revision: 1844773
- Mageia 9 Mass Rebuild

* Tue Feb 01 2022 mrambo3501 <mrambo3501> 1:0.149-1.mga9
+ Revision: 1770892
- version 0.149
- BR pkgconfig(gmime-3.0)

* Tue Oct 13 2020 wally <wally> 1:0.146-1.mga8
+ Revision: 1635412
- new version 0.146

* Fri Feb 14 2020 umeabot <umeabot> 1:0.145-3.mga8
+ Revision: 1523124
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Feb 23 2019 wally <wally> 1:0.145-2.mga7
+ Revision: 1369582
- switch to gtk3 and enchant2

* Tue Jan 01 2019 kekepower <kekepower> 1:0.145-1.mga7
+ Revision: 1348409
- Update to version 0.145

* Sun Sep 23 2018 umeabot <umeabot> 1:0.144-2.mga7
+ Revision: 1300101
- Mageia 7 Mass Rebuild

* Sat Apr 14 2018 kekepower <kekepower> 1:0.144-1.mga7
+ Revision: 1218612
- Update to version 0.144

* Tue Jun 28 2016 akien <akien> 1:0.140-1.mga6
+ Revision: 1038075
- Improve description
- Version 0.140 (fixes mga#18010)
- Enable gnutls support

* Mon Feb 08 2016 umeabot <umeabot> 1:0.139-7.mga6
+ Revision: 950302
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 akien <akien> 1:0.139-6.mga5
+ Revision: 794069
- Use higher res upstream icon and put it in hicolor icon them

* Wed Oct 15 2014 umeabot <umeabot> 1:0.139-5.mga5
+ Revision: 740269
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.139-4.mga5
+ Revision: 683325
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.139-3.mga4
+ Revision: 508856
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.139-2.mga3
+ Revision: 362379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 wally <wally> 1:0.139-1.mga3
+ Revision: 327152
- new version 0.139
- change description
- drop unneeded str fmt patch
- clean .spec

* Thu Nov 15 2012 fwang <fwang> 1:0.137-1.mga3
+ Revision: 318109
- cleanup spec
+ ovitters <ovitters>
- new version 0.137
- clean spec
- clean spec
+ wally <wally>
- rebuild for new gmime

* Sun Jun 19 2011 kharec <kharec> 1:0.135-1.mga2
+ Revision: 109853
- new version

* Fri Feb 25 2011 ennael <ennael> 1:0.134-1.mga1
+ Revision: 59421
- clean spec file
- imported package pan


* Sun Feb 20 2011 Götz Waschk <waschk@mandriva.org> 1:0.134-1mdv2011.0
+ Revision: 639065
- update build deps
- new version
- drop patches 1,4
- build against gmime 2.4

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.133-6mdv2011.0
+ Revision: 607068
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.133-5mdv2010.1
+ Revision: 523590
- rebuilt for 2010.1

* Mon Oct 05 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.133-4mdv2010.0
+ Revision: 453948
- rebuild

* Wed Aug 19 2009 Emmanuel Andry <eandry@mandriva.org> 1:0.133-3mdv2010.0
+ Revision: 418067
- add P04 to fix gcc44 build

  + Götz Waschk <waschk@mandriva.org>
    - fix build deps

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1:0.133-2mdv2009.1
+ Revision: 366031
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 1:0.133-1mdv2009.0
+ Revision: 275719
- New version 1.133
- drop patches merge upstream

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:0.132-6mdv2009.0
+ Revision: 265324
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 04 2008 Frederik Himpe <fhimpe@mandriva.org> 1:0.132-5mdv2009.0
+ Revision: 215080
- Add patch from Fedora fixing CVE-2008-2363

* Mon May 26 2008 Frederic Crozat <fcrozat@mandriva.com> 1:0.132-4mdv2009.0
+ Revision: 211417
- Patch5 (Fedora): fix decoding large JPEG (GNOME bug #467446)
- Patch6 (Duncan): fix build with GCC 4.3 (GNOME bug #524625)

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Thu Feb 07 2008 Funda Wang <fwang@mandriva.org> 1:0.132-3mdv2008.1
+ Revision: 163556
- add ubuntu patches:
  	* search are now using regexp
  	* hide windows/macos from preferences
  	* fix build against latest glib
- drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 24 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.132-2mdv2008.0
+ Revision: 92581
- Fix build (icon extension)

* Thu Aug 02 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.132-1mdv2008.0
+ Revision: 58026
- Release 0.132

* Thu May 31 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.131-1mdv2008.0
+ Revision: 33250
- Release 0.131
- Remove patch0, merged upstream

* Mon May 21 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.130-1mdv2008.0
+ Revision: 29247
- Release 0.130
- Patch0 (SVN): fix huge memleak

* Sat May 19 2007 Stefan van der Eijk <stefan@mandriva.org> 1:0.129-1mdv2008.0
+ Revision: 28501
- 0.129

* Mon Apr 23 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.128-1mdv2008.0
+ Revision: 17378
- Release 0.128


* Thu Feb 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.125-1mdv2007.0
+ Revision: 124371
- Release 0.125

* Tue Feb 13 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.124-1mdv2007.1
+ Revision: 120301
- Release 0.124

* Tue Feb 06 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.123-1mdv2007.1
+ Revision: 116868
- Release 0.123

* Mon Feb 05 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.122-1mdv2007.1
+ Revision: 116292
- Release 0.122

* Mon Jan 22 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.121-1mdv2007.1
+ Revision: 111989
- Release 0.121

* Wed Jan 03 2007 Frederic Crozat <fcrozat@mandriva.com> 1:0.120-1mdv2007.1
+ Revision: 103524
- Release 0.120

* Fri Nov 10 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.119-1mdv2007.1
+ Revision: 80847
- Release 0.119

* Sat Nov 04 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.118-2mdv2007.1
+ Revision: 76541
- Ensure spellchecking is enabled (and correctly disabled when requested in specfile)

* Fri Nov 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.118-1mdv2007.1
+ Revision: 76121
- Release 0.118

* Fri Oct 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.117-1mdv2007.1
+ Revision: 73027
- Import pan

* Thu Oct 26 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.117-1mdv2007.1
- Release 0.117

* Mon Oct 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.115-1mdv2007.0
- Release 0.115

* Wed Sep 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.114-1mdv2007.0
- Release 0.114

* Sat Sep 23 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.113-1mdv2007.0
- Release 0.113

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.112-1mdv2007.0
- Release 0.112

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.111-1mdv2007.0
- Release 0.111

* Tue Aug 22 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.109-1mdv2007.0
- Release 0.109

* Wed Aug 16 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.108-1mdv2007.0
- Release 0.108
- Update Source URL

* Mon Aug 14 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.107-1mdv2007.0
- Release 0.107

* Sat Aug 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.106-1mdv2007.0
- Release 0.106
- Fix xdg tag

* Mon Jul 17 2006 Stefan van der Eijk <stefan@mandriva.org> 1:0.103-1mdv2007.0
- New release 0.103

* Sat Jul 01 2006 Stefan van der Eijk <stefan@eijk.nu> 1:0.101-1
- New release 0.101

* Tue May 30 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.99-2mdv2007.0
- really use new menu

* Mon May 29 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.99-1mdv2007.0
- New release 0.99
- Use new menu system

* Mon May 15 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.97-1mdk
- New release 0.97

* Fri May 12 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.96-1mdk
- Release 0.96

* Wed May 03 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.95-1mdk
- New release 0.95

* Mon Apr 24 2006 Pascal Terjan <pterjan@mandriva.org> 1:0.94-1mdk
- 0.94
- Fix sources URL

* Mon Apr 17 2006 Stefan van der Eijk <stefan@eijk.nu> 1:0.93-1mdk
- 0.93
- BuildRequires

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1:0.92-1mdk
- Release 0.92 (and no Albert, it wasn't dead ;)
- Remove patches 0, 1 (merged upstream), 2 (no longer relevant)

* Thu Sep 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.14.2.91-4mdk
- gcc4 fixes

* Wed Feb 23 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2.91-3mdk 
- Patch0 (CVS): fix header corruption
- Patch1 (CVS): fix group always empty

* Thu Dec 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.2.91-2mdk
- startupnotify should be true, not yes

